<template>
  <div id="news">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <h1>News</h1>
        </div>
        <card v-for="(item, i) in news" :key="'news_'+i" :news="item" rout-name="single-news" />
      </div>
    </div>
  </div>

</template>

<script>
  import Card from '@/components/NewsCard'

  export default {
    name: "News",
    components: { Card },
    data() {
      return {
        news: []
      }
    },
    beforeMount() {
      this.news = news
    }
  }
  const news = [
    {
      id: 1,
      title: 'news 1',
      desc: 'description of news 1',
      img: 'https://media.wsls.com/photo/2017/04/24/Whats%20News%20Today_1493062809311_9576980_ver1.0_1280_720.png',
    },
    {
      id: 2,
      title: 'news 2',
      desc: 'description of news 2',
      img: '',
    },
    {
      id: 3,
      title: 'news 3',
      desc: 'description of news 3',
      img: 'https://www.ctvnews.ca/polopoly_fs/1.4344128.1553095687!/httpImage/image.png_gen/derivatives/landscape_620/image.png',
    }
  ];
</script>

<style lang="sass">

</style>